function scatlabel=getScatterLabel(ch,ops);
% Makes the labels for the scatter plot
% Input: channel and operations array
% Output: the scatterplot label
% Kevin Baggett Thu Aug  9 21:02:26 UTC 2001

if ch(4)~=0
    scatlabel=sprintf('(Channel %7.3f %s Channel %7.3f) %s (Channel %7.3f %s Channel %7.3f)',...
      ch(1),ops(1),ch(2),ops(2),ch(3),ops(3),ch(4));
elseif ch(3)~=0
    scatlabel=sprintf('(Channel %7.3f %s Channel %7.3f) %s (Channel %7.3f)',...
      ch(1),ops(1),ch(2),ops(2),ch(3));
elseif ch(2)~=0
    scatlabel=sprintf('Channel %7.3f %s Channel %7.3f',ch(1),ops(1),ch(2));
else
    scatlabel=sprintf('Channel %7.3f',ch(1));
end